View Issue Details

IDProjectCategoryView StatusLast Update
0004147FreeCADFeaturepublic2020-10-07 07:55
ReporterKunda1 Assigned Towmayer  
PrioritynormalSeveritytrivialReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.19Fixed in Version0.19 
Summary0004147: 'Pick Radius' option in unintuitive location within preferences (Display > General > Color); should be moved
DescriptionScreencast showing where Pick Radius is located in the m Preferences https://i.imgur.com/N7MFELX.mp4

This is not a 'Color' issue. It's a mouse related issue.

Case arguing for change:
https://forum.freecadweb.org/viewtopic.php?f=8&t=39650&p=336939#p336932
https://forum.freecadweb.org/viewtopic.php?f=3&t=39161
Additional InformationForum tread to poll community for desired location => https://forum.freecadweb.org/viewtopic.php?f=8&t=39655
TagsUI
FreeCAD Information

Activities

arijeetb

2020-10-05 09:04

reporter   ~0014775

Made the changes and Made the PR for the change. Plz review
https://github.com/FreeCAD/FreeCAD/pull/3932
Screenshot (18).png (293,305 bytes)   
Screenshot (18).png (293,305 bytes)   

guest

2020-10-06 14:30

viewer   ~0014778

Fix committed to master branch.

Kunda1

2020-10-07 07:55

administrator   ~0014785

FreeCAD master b1c5ddcf

Related Changesets

FreeCAD: master b1c5ddcf

2020-10-05 08:25:38

arijeetb


Committer: wwmayer Details Diff
moved 'Pick Radius' from 'Color' to '3D View' fixes 0004147 Affected Issues
0004147
mod - src/Gui/DlgSettings3DView.ui Diff File
mod - src/Gui/DlgSettings3DViewImp.cpp Diff File
mod - src/Gui/DlgSettingsViewColor.cpp Diff File
mod - src/Gui/DlgSettingsViewColor.ui Diff File

Issue History

Date Modified Username Field Change
2019-09-26 21:43 Kunda1 New Issue
2019-09-26 21:43 Kunda1 Tag Attached: UI
2019-09-29 13:40 openBrain Additional Information Updated View Revisions
2020-10-05 09:04 arijeetb Note Added: 0014775
2020-10-05 09:04 arijeetb File Added: Screenshot (18).png
2020-10-06 14:30 arijeetb Changeset attached => FreeCAD master b1c5ddcf
2020-10-06 14:30 guest Note Added: 0014778
2020-10-07 07:55 Kunda1 Assigned To => wmayer
2020-10-07 07:55 Kunda1 Status new => closed
2020-10-07 07:55 Kunda1 Resolution open => fixed
2020-10-07 07:55 Kunda1 Fixed in Version => 0.19
2020-10-07 07:55 Kunda1 Note Added: 0014785